org.apache.commons.math.analysis

## Interface DifferentiableUnivariateRealFunction

All Superinterfaces:
  UnivariateRealFunction

All Known Implementing Classes:
  GaussianFunction, HarmonicFunction, PolynomialFunction, PolynomialSplineFunction

    public interface DifferentiableUnivariateRealFunction
    extends UnivariateRealFunction

Extension of `UnivariateRealFunction` representing a differentiable univariate real function.

Version:
  $Revision: 811786 $ $Date: 2009-09-06 11:36:08 +0200 (dim. 06 sept. 2009) $

### Method Summary

Methods
`UnivariateRealFunction` `derivative()` Returns the derivative of the function

### Methods inherited from interface org.apache.commons.math.analysis.UnivariateRealFunction

`value`

### Method Detail

#### derivative

    UnivariateRealFunction derivative()

Returns the derivative of the function

Returns:
  the derivative function